View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
09879Bug reportsComfortUpdatepublic2015-12-15 13:15
Reportergantier Assigned ToLouisGac 
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.06+ 
Summary09879: Update message is displayed even if you don't have the permission to update
Description

When an update is available the message "...Click here to use ComfortUpdate or to download it." is displayed to every user.

If the user have not the right to see/edit the parameters, and if (s)he clicks on the link,, then (s)he goes to a blank page with no error message.

Additional Information

As it is a "security-related" subject, I think the version and build number should be displayed to the minimum users (only super-admin?).

TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)Version 2.06+ Build 150831
I will donate to the project if issue is resolvedNo
Browser
Database type & versionMySQL 5.5.44
Server OS (if known)Ubuntu LTS 14.04
Webserver software & version (if known)Aapche 2.4
PHP Version5.5.9

Relationships

related to 09846 closedLouisGac Feature requests A way to deactivate ConfortUpdate 

Users monitoring this issue

User List DenisChenu

Activities

LouisGac

LouisGac

2015-11-10 10:17

developer   ~33545

What have been decided is that update message for stable releases should be shown to any users, so they can warn an admin that an update is available and that he should update.

PaulC

PaulC

2015-12-10 22:56

reporter   ~33879

I would recommend that there be an option to control the viability of update notifications, at least delineating between all users and users with permissions to install updates.

If I have many users, I do not want to be repeatedly pestered to install an update that I already made plans to install.

c_schmitz

c_schmitz

2015-12-15 13:15

administrator   ~33934

2.06+ Build 151215 released

Issue History

Date Modified Username Field Change
2015-09-11 16:51 gantier New Issue
2015-09-11 16:51 gantier Status new => assigned
2015-09-11 16:51 gantier Assigned To => c_schmitz
2015-11-03 14:28 DenisChenu Relationship added related to 09846
2015-11-03 16:09 c_schmitz Assigned To c_schmitz => LouisGac
2015-11-10 10:17 LouisGac Note Added: 33545
2015-11-13 09:18 DenisChenu Issue Monitored: DenisChenu
2015-12-09 15:52 LouisGac Status assigned => resolved
2015-12-09 15:52 LouisGac Resolution open => fixed
2015-12-10 22:56 PaulC Note Added: 33879
2015-12-15 13:15 c_schmitz Note Added: 33934
2015-12-15 13:15 c_schmitz Status resolved => closed
2021-08-02 16:18 guest Bug heat 6 => 8